Skip to main content
GET
/
v1
/
seller
/
meta
/
{channel}
/
attributes
Channel Attributes
curl --request GET \
  --url https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/attributes \
  --header 'Authorization: Bearer <token>'
{
  "attributeList": [
    {
      "attributeId": "12323",
      "displayName": "Brand",
      "isMultipleAllowed": false,
      "type": "text",
      "values": [
        {
          "value": "Beer"
        },
        {
          "value": "Tee",
          "display": "Wine"
        }
      ],
      "attributeValueValidation": "/^[0-9]{13}$/",
      "conditionalMandatoryBy": [
        {
          "attributeId": "12323",
          "attributeValues": [
            "High"
          ]
        }
      ],
      "conditionalOptionalBy": [
        {
          "attributeId": "12323",
          "attributeValues": [
            "No Frame"
          ]
        }
      ],
      "required": true,
      "recommended": false,
      "section": "Colors and Appearance",
      "sectionPosition": 0,
      "isRepeatableSubSection": true,
      "subSection": "Length",
      "subSectionPosition": 0,
      "description": null,
      "isVariationDimension": true,
      "enumValues": [
        "Blue"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Path Parameters

channel
string
required

Channel name (e.g. kaufland, otto) whose attribute set should be returned.

Response

List of channel-wide attributes

attributeList
object[]